<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

?>

<?php // arquivo em comum de exibicao das setas das imagens ?>
<div class="nb-arrows nb-arrows--<?php echo $amplifiedImageArrows; ?>" data-id="nb-arrows">
    <div class="nb-arrow nb-previous-arrow" data-slide="prev" style="<?php echo $arrowsStyle; ?> <?php echo $arrowsIconSize; ?> <?php echo $arrowsBorderRadius; ?>">
        <span class="fa <?php echo (!empty($arrowsIcon)) ? $arrowsIcon . '-left' : '';  ?>" style='font-size: inherit;'></span>
    </div>
    <div class="nb-arrow nb-next-arrow" data-slide="next" style="<?php echo $arrowsStyle; ?> <?php echo $arrowsIconSize; ?> <?php echo $arrowsBorderRadius; ?>">
        <span class="fa <?php echo (!empty($arrowsIcon)) ?  $arrowsIcon . '-right' : '';  ?>" style='font-size: inherit;'></span>
    </div>
</div>
