<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

// Link com os tamanhos disponiveis de imagem: https://www.flickr.com/services/api/misc.urls.html

 defined('_JEXEC') or die;
 ?>
<?php 
    if($loadMode == "flickr_album"){
        $urlImg1 = "http://farm{$photo['farm']}.staticflickr.com/{$photo['server']}/{$photo['id']}_{$photo['secret']}_b.jpg";
    }else{
        $urlImg1 = str_replace("'", "", $photo['imageSrc']);
    }

    if($loadMode == "flickr_album"){
        // Exibir título da imagem
        if ($showLegend == 'title'){
            $legend = $photo['title'];
        }
        // Exibir descrição da imagem
        else if ($showLegend == 'description'){
            $legend = $photo['description']['_content'];
        }
    }else{
        $legend = $photo['image_legend'];
    }
?>
<div class="<?php echo $module->name;?>-image-wrapper <?php echo !empty($legend) ? 'has-legend':''; ?>">
    <div 
        class="<?php echo $module->name;?>-image"
        style="background-image: url('<?php echo $urlImg1;?>'), url(<?php echo JUri::root() . 'modules/' . $extensionName . '/assets/images/blank.gif';?>)"
        data-src="<?php echo $urlImg1; ?>"
    ></div>
    <?php
    // Definido para exibir legenda
    if (!empty($legend)) {
        echo "<{$legendTagHtml} class='nb-legend resize'>";
        // Exibe a legenda aplicando limite de caracteres
        if(isset($legendLimit)){
            echo JHtml::_('string.truncate', $legend, $legendLimit);
        }else{
            echo $legend;
        }
        echo "</{$legendTagHtml}>";
    }
    ?>
</div>
