<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
$s = "";
if (!empty($showBackgroundArrows) && $showBackgroundArrows && !empty($arrowsStyleHover)){ 
    $s .= 
    ".{$module->name} .nb-arrow:hover, .{$module->name} .nb-thumbnail-arrow:hover{
        {$arrowsStyleHover}
    }";
}

if(empty($thumbsActiveStyle) && !empty($nonActivesOpacity)){
    $s .= 
    ".{$module->name} .nb-thumbnail{
        opacity:  {$nonActivesOpacity};
    }";

    $s .= 
    ".{$module->name} .nb-selected-thumbnail .nb-thumbnail{
        opacity: 1;
    }
    .{$module->name} .nb-thumbnail:hover {
        opacity: 1;
    }";
}
if(!empty($arrowsMarginTop)){
    $s .= 
        ".{$module->name} .nb-horizontal .nb-arrows{
            {$arrowsMarginTop}
        }";
}
if(!empty($thumbsArrowsMarginTop)){
    $s .= 
        ".{$module->name} .nb-bottom-thumbnails .nb-thumbnail-arrows, .{$module->name} .nb-top-thumbnails .nb-thumbnail-arrows{
            {$thumbsArrowsMarginTop}
        }";
}
if(!empty($thumbsActiveStyle) && !empty($highlightBorderColor)){
    $s .= 
    ".{$module->name} .nb-selected-thumbnail{
        border: 4px solid {$highlightBorderColor};
    }
    .{$module->name} .nb-thumbnail-item:hover{
        border: 4px solid {$highlightBorderColor};
    }";
} 

$s .=
    "@media screen and (max-width: 767px){
        .{$module->name}{
           {$sectionStyleMobile}
        }
        .{$module->name} .nb-legend{
            {$legendStyleMobile}
        }
        .{$module->name} .{$module->name}__title{
            {$titleStyleMobile}
        }
        .{$module->name} .{$module->name}__subtitle{
            {$subtitleStyleMobile}
        }";
$s .= "}";

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s);  
	
?>
