<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
$s = "";
if (!empty($showBackgroundArrows) && $showBackgroundArrows && !empty($arrowsStyleHover)){ 
    $s .= 
    ".{$module->name} .nb-arrow:hover, .{$module->name} .nb-thumbnail-arrow:hover{
        {$arrowsStyleHover}
    }";
}

if(isset($legendStyleModal)){
    $s .=  ".{$module->name} .{$module->name}-modal .nb-legend{
        {$legendStyleModal}
    }";
}
if(isset($legendStyle)){
    $s .= ".{$module->name} .nb-slide .nb-legend{
        {$legendStyle}
    }";
}

if(isset($borderStyle)){
    $s .= ".{$module->name} .{$module->name}-image-wrapper{
        {$borderStyle}
    }";
}

if(!empty($borderHoverStyle)){
    $s .= ".{$module->name} .{$module->name}-image-wrapper.has-legend:hover{
                {$borderHoverStyle}
            }";
}

if(!empty($imageHoverStyle)){
    $s .= ".{$module->name} .{$module->name}-image-wrapper.has-legend:hover::before{
                {$imageHoverStyle}
            }";
}

if(!empty($arrowsMarginTop)){
    $s .= 
        ".{$module->name} .nb-horizontal .nb-arrows{
            {$arrowsMarginTop}
        }";
}

if(isset($displayOverflow) && $displayOverflow === 'right' && isset($displayLateralFade) && $displayLateralFade){
    $s .= ".{$module->name}.lateral-fade:after{
                {$containerHeight}
            }";
}

$s .= "
       .{$module->name} .{$module->name}-btn-close{
           {$closeButtonStyle}
       }
       .{$module->name} .{$module->name}-modal__inner{
           {$modalStyle}
       }";
//     .{$module->name} .nb-slide, .{$module->name} > .nb-container, .{$module->name} .nb-mask{
//          height: {$itemsCustomization->height}px;
//      }


$s .=
    "@media screen and (max-width: 767px){
        .{$module->name}{
           {$sectionStyleMobile}
        }
        .{$module->name} .nb-legend{
            {$legendStyleMobile}
        }
        .{$module->name} .{$module->name}__title{
            {$titleStyleMobile}
        }
        .{$module->name} .{$module->name}__subtitle{
            {$subtitleStyleMobile}
        }
        .{$module->name} .{$module->name}-btn-close{
            {$closeButtonStyleMobile}
        }
        .{$module->name} .{$module->name}-modal__inner{
            {$modalStyleMobile}
        }";
        if(isset($displayOverflow) && $displayOverflow === 'right' && isset($displayLateralFade) && $displayLateralFade){
            $s .= ".{$module->name}.lateral-fade:after{
                        {$containerHeightMobile}
                    }";
        }
        $s .= ".{$module->name} .nb-slide, .{$module->name} .nb-mask{
            height: {$itemsCustomization->height_mobile}px !important;
        }";
$s .= "}";

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s);  
	
?>
