<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */
defined('_JEXEC') or die;
?>

<script type="text/javascript">
	var jsConfig = {};
	jsConfig = <?php echo json_encode($jsConfig); ?>;
	if (moduleList === undefined) {
	    var moduleList = [];
	}
	moduleList["<?php echo $module->name . '_' . $module->id; ?>"] = jsConfig;
</script>

<section class='<?php echo "{$module->name} {$module->name}--{$theme}"; ?> <?php echo !$externalArea->content_display_mode ? 'nb-full-width' : ''?> <?php echo isset($displayOverflow) && $displayOverflow === 'right' ? 'right-overflow' : '';?> <?php echo isset($displayLateralFade) && $displayLateralFade ? 'lateral-fade' : ''; ?>'
	style="<?php echo $sectionStyle; ?>"
	<?php echo "module-id={$module->name}_{$module->id}"; ?>
	>
    <?php if($externalArea->content_display_mode) { ?>
        <div class="nb-container">
            <div class="<?php echo $itemColumns; ?>">
    <?php } ?>
	<?php // Exibe título e texto de apoio da área externa ?>
	<?php require JModuleHelper::getLayoutPath($extensionName, 'common/external_area');?>
	<div class="nb-gallery" data-id='nb-gallery' data-model='<?php echo $theme;?>'>
		<div class="nb-slides <?php echo $displayLayout === 'grid' ?  $module->name.'--grid ' .  ' layout-'.$gridLayout : ''; ?>">
            <?php 
            $i = 0;
            while($i < count($photos)) { ?>
					<div class="nb-slide" style="<?php echo ($backgroundImageColor) ? 'background-color: ' . $backgroundImageColor : ''; ?>">
                    <?php // elemento image soh pro plugin nao bugar ?>
                    <img class="nb-image hidden"/>
                    
                    <?php
                    if($displayLayout === 'grid'){
                        echo '<div class="'.$module->name.'-grid-wrapper '.$module->name.'-grid-wrapper--column">';
                            $photo = $photos[$i];
                            require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                            $i++;
                            if($i === count($photos)){
                                echo '</div>';
                                break;
                            }
                            if($gridLayout === '3'){
                                $photo = $photos[$i];
                                require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                $i++;
                                if($i === count($photos)){
                                    echo '</div>';
                                    break;
                                }
                            }else{
                                echo '<div class="'.$module->name.'-grid-wrapper">';
                                    $photo = $photos[$i];
                                    require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                    $i++;
                                    if($i === count($photos)){
                                        echo '</div>';
                                        echo '</div>';
                                        break;
                                    }
                                    if($gridLayout === '2'){
                                        $photo = $photos[$i];
                                        require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                        $i++;
                                    }else{
                                        echo '<div class="'.$module->name.'-grid-wrapper '.$module->name.'-grid-wrapper--column">';
                                            $photo = $photos[$i];
                                            require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                            $i++;
                                            if($i === count($photos)){
                                                echo '</div>';
                                                echo '</div>';
                                                echo '</div>';
                                                break;
                                            }
                                            echo '<div class="'.$module->name.'-grid-wrapper">';
                                                $photo = $photos[$i];
                                                require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                                $i++;
                                                if($i === count($photos)){
                                                    echo '</div>';
                                                    echo '</div>';
                                                    echo '</div>';
                                                    echo '</div>';
                                                    break;
                                                }
                                                $photo = $photos[$i];
                                                require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                                                $i++;
                                                if($i === count($photos)){
                                                    echo '</div>';
                                                    echo '</div>';
                                                    echo '</div>';
                                                    echo '</div>';
                                                    break;
                                                }
                                            echo '</div>';
                                        echo '</div>';
                                    }
                                echo '</div>';
                            }
                        echo '</div>';
                    }else{
                        $photo = $photos[$i];
                        require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/photo');
                        $i++;
                    }
                    ?>
					</div>
            <?php } ?>
			<?php  // Exibir setas de navegação na imagem ampliada ?>
			<?php if($showArrows && $amplifiedImageArrows != 'none' && $countPhotos > 1){ ?>
                <?php
					// html das setas
					require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/arrows');
				?>
			<?php } ?>
		</div>
	</div>
    <?php if($externalArea->content_display_mode) { ?>
            </div>
        </div>
    <?php } ?>

    <div class="<?php echo $module->name; ?>-modal <?php echo $modalAdaptToScreen ? 'modal-adapt' : '';?>">
        <?php if(!$modalAdaptToScreen){?>
        <div class="<?php echo $module->name; ?>-modal__outer-wrapper">
        <?php }?>
            <div class="<?php echo $module->name; ?>-modal__inner-wrapper">
                <div class="<?php echo $module->name; ?>-modal__inner">
                    <span class="<?php echo $module->name; ?>-btn-close fa fa-times"></span>
                    <figure class="<?php echo $module->name; ?>-modal-image">
                        <img src="" alt="">
                    </figure>
                </div>
            </div>
        <?php if(!$modalAdaptToScreen){?>
        </div>
        <?php }?>
    </div>
</section>
